:host {
  display: block;
  position: relative;
}

:host > video {
  width: 100%;
  object-fit: contain;
  max-height: calc(100vh - 36px);
  box-sizing: content-box;
}

:host > progress {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  pointer-events: none;
}

:host > aside {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 60%);
  color: white;
  font-family: sans-serif;
  font-size: large;
  text-align: center;
  line-height: 200px;
}
